.portfolio-grid {
	box-sizing: border-box;
	display: grid;
	justify-content: center;
	grid-template-columns: 1fr 1fr 1fr;
	gap: 1em;
	padding: 0.5em;
	width: 90%;
	/* background-color: tomato; */
}

.portfolio-section {
	display: flex;
	justify-content: flex-start;
	align-items: flex-end;
	max-height: 200px;
	max-width: 100%;
	min-height: 300px;
	min-width: 200px;
	background-color: black;
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	cursor: pointer;
	transform: scale(90%);
	transition: all 0.25s ease-in;
	box-shadow: 0px 4px 15px -2px #000000;
	border-radius: 1em;
	overflow: hidden;
	position: relative;
}

.portfolio-section:hover {
	transform: scale(100%);
}
.portfolio-title {
	bottom: 5px;
	left: 5px;
	padding: 0.5em;
	background-color: rgba(0, 0, 0, 0.658);
	color: white;
	font-size: 1.5em;
}

.coming_soon {
	color: white;
	font-size: 1.5em;
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	margin: auto;
	width: 100%;
	height: 100%;
}

.gallery-viewer {
	box-sizing: border-box;
	position: fixed;
	z-index: 5;
	height: 100vh;
	min-height: 100vh;
	width: 100vw;
	min-width: 100vw;
	background-color: rgba(0, 0, 0, 0.95);
	
	overflow: hidden;
	transition: all 0.25s ease-in;
	top: 0px;
	/* left: -100vw; */
	transform: scale(0%);
	display: grid;
	grid-template-areas:
		"title  title title close"
		"img    img   img   img";
	grid-template-columns: 1fr 1fr 1fr 1fr;
	grid-template-rows: 2em 1fr;
	gap: 2em;

	/* height: 100vh;
	width: 100vw;
	max-width: 100vw;
	max-height: 100vh;
	grid-template-rows: 2em 70vh auto; */
	padding: 10px;
	grid-template-areas:
		"title  title title close"
		"img    img   img   img";

	overflow: auto;
}

.gallery-title {
	color: white;
	display: flex;
	align-items: center;
	justify-content: flext start;
	font-size: 3em;
	grid-area: title;
}

.gallery-close-button {
	box-sizing: border-box;
	display: flex;
	justify-content: flex-end;
	justify-items: flex-end;
	align-items: center;

	color: white;
	font-size: 3em;
	cursor: pointer;
	filter: opacity(50%);
	transition: all 0.15s ease-in;
	padding: 0.05em;
	grid-area: close;
	
	/* margin-right: 2em; */
}
.gallery-close-button:hover {
	filter: opacity(100%);
}

.gallery-close-icon {
	height: 0.7em;
	background-color: whitesmoke;
	border-radius: 1000px;
	padding: .1em;
}
/* 
.gallery-small-grid {
	display: grid;
	grid-area: thumbs;
	grid-template-columns: 1fr 1fr 1fr;
	grid-auto-rows: 200px;
	justify-content: flex-start;
	align-items: flex-start;
	overflow-y: scroll;
	
	justify-content: center;

	grid-template-columns: 1fr;
	
	max-width: 90vw;
	overflow-x:scroll;
	overflow-y: hidden;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	
	height: 15vh;
	gap:1em;
	justify-self: center;
	
} */
/* 
.gallery-thumb {
	
	height: 95%;
	border: 2px solid transparent;
	cursor: pointer;
	object-fit: cover;
}
.gallery-thumb:hover {
	border: 2px solid white;
	border-style: inset;
} */

.gallery-right-side {
	grid-area: img;
	max-height: 85vh;
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	
}

@media only screen and (max-width: 600px) {
	.gallery-title {
		font-size: 1.5em;
		justify-content: flex-start;
		align-items: center;
	}
	.gallery-close-button {
		font-size: 1.5em;
		color: white;
		font-weight: bold;
		opacity: 1;
		filter: opacity(100%);
		justify-content: flex-end;
		justify-items: flex-end;
		box-sizing: border-box;
		
	}
	.gallery-close-icon {
		height: 1em;
	}
	/* .gallery-viewer {
		height: 100vh;
		width: 100vw;
		max-width: 100vw;
		max-height: 100vh;
		grid-template-rows: 2em 70vh auto;
		padding: 10px;
		grid-template-areas:
			"title  title title close"
			"img    img   img   img";
			
	} */
	.portfolio-grid {
		grid-template-columns: 1fr;
	} 
	/* .gallery-small-grid {
		grid-template-columns: 1fr;
		grid-auto-rows: 50px;
		max-width: 20vw;

		overflow: auto;
		display: flex;
		flex-direction: row;
		justify-content: flex-start;
		align-items: center;
		min-width: 100vw;
		height: 4.5em;
	}

	.gallery-thumb {
		height: 4em;
	} */ 

	/* .gallery-right-side {
		justify-content: center;
		align-items: center;
	} */
	/* .gallery-display-image {
		max-width: 100%;
		max-height: 100%;
		object-fit: contain;
	} */
}
